## org.hibernate.id
Class UUIDHexGenerator

    java.lang.Object
      org.hibernate.id.AbstractUUIDGenerator
          org.hibernate.id.UUIDHexGenerator

All Implemented Interfaces:
  Configurable, IdentifierGenerator

    public class UUIDHexGenerator

extends AbstractUUIDGenerator
implements Configurable

uuid
A `UUIDGenerator` that returns a string of length 32, This string will consist of only hex digits. Optionally, the string may be generated with separators between each component of the UUID. Mapping parameters supported: separator.

Field Summary

Fields inherited from interface org.hibernate.id.IdentifierGenerator
`ENTITY_NAME`

Constructor Summary
`UUIDHexGenerator()`

Method Summary
`void` `configure(Type type, Properties params, Dialect d)` Configure this instance, given the value of parameters specified by the user as `<param>` elements.
`protected String` `format(int intValue)`
`protected String` `format(short shortValue)`
`Serializable` `generate(SessionImplementor session, Object obj)` Generate a new identifier.

Methods inherited from class org.hibernate.id.AbstractUUIDGenerator
`getCount, getHiTime, getIP, getJVM, getLoTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UUIDHexGenerator

    public UUIDHexGenerator()

Method Detail

### configure

    public void configure(Type type,
                          Properties params,
                          Dialect d)

  Configure this instance, given the value of parameters specified by the user as `<param>` elements. This method is called just once, following instantiation.

  Specified by:
    `configure` in interface `Configurable`
    `params` - param values, keyed by parameter name

### generate

    public Serializable generate(SessionImplementor session,
                                 Object obj)

  Generate a new identifier.

  Specified by:
    `generate` in interface `IdentifierGenerator`
    `obj` - the entity or toplevel collection for which the id is being generated
  Returns:
    a new identifier

### format

    protected String format(int intValue)

### format

    protected String format(short shortValue)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.